> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paybyrd.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets all webhook settings

> This endpoint allows you to recover all webhook settings.



## OpenAPI

````yaml /openapi.yml get /api/v2/webhooks
openapi: 3.0.3
info:
  title: Gateway API
  version: v2
  contact:
    name: Support
    email: support@paybyrd.com
  license:
    name: Copyright © Paybyrd
  termsOfService: https://paybyrd.com/en/privacy
servers:
  - url: https://gateway.paybyrd.com
    description: Production
security:
  - authByApiKey: []
paths:
  /api/v2/webhooks:
    get:
      tags:
        - Webhooks
      summary: Gets all webhook settings
      description: This endpoint allows you to recover all webhook settings.
      operationId: api-webhook-get-all
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  $ref: '#/components/examples/WebhooksResponseExample'
              schema:
                $ref: '#/components/schemas/WebhooksResponse'
components:
  examples:
    WebhooksResponseExample:
      value:
        - id: 8668e1dc-3f0c-407d-9aff-f5dda1ee8eaf
          url: https://your-url.com/webhook1
          webhookUser: b73e9449-e1dc-485a-b4c7-19c540e96cd1
          webhookPassword: '@bc123'
          events: []
        - id: c1532b84-a819-4e7a-986e-63bfb4fb1ecf
          url: https://your-url.com/webhook2
          webhookUser: d75620b6-8f3e-48f3-bb7d-99ffd0dbf135
          webhookPassword: '@bc123'
          events: []
  schemas:
    WebhooksResponse:
      type: array
      items:
        $ref: '#/components/schemas/WebhookResponse'
    WebhookResponse:
      type: object
      properties:
        id:
          type: string
          example: 8668e1dc-3f0c-407d-9aff-f5dda1ee8eaf
        url:
          type: string
          example: https://your-url.com/webhook
        webhookUser:
          type: string
          example: b73e9449-e1dc-485a-b4c7-19c540e96cd1
        webhookPassword:
          type: string
          example: '@bc123'
        events:
          type: array
          items:
            type: string
  securitySchemes:
    authByApiKey:
      type: apiKey
      in: header
      name: x-api-key

````